#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EMarketingMessageLookupType {
    Invalid = 0,
    ByGID = 1,
    Active = 2,
    ByTitleWithType = 3,
    ByGIDList = 4,
}

impl EMarketingMessageLookupType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::ByGID as i32 => Some(Self::ByGID),
            x if x == Self::Active as i32 => Some(Self::Active),
            x if x == Self::ByTitleWithType as i32 => Some(Self::ByTitleWithType),
            x if x == Self::ByGIDList as i32 => Some(Self::ByGIDList),
            _ => None,
        }
    }
}
